Loading...
Searching...
No Matches
netconf.h File Reference

libnetconf2's general public functions and structures definitions. More...

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | NC_NS_BASE "urn:ietf:params:xml:ns:netconf:base:1.0"
| Base NETCONF namespace.
#define | NC_NS_NOTIF "urn:ietf:params:xml:ns:netconf:notification:1.0"
| Notifications namespace.
#define | NC_PORT_CH_SSH 4334
| Default NETCONF over SSH Call Home port.
#define | NC_PORT_CH_TLS 4335
| Default NETCONF over TLS Call Home port.
#define | NC_PORT_SSH 830
| Default NETCONF over SSH port.
#define | NC_PORT_TLS 6513
| Default NETCONF over TLS port.
#define | nc_set_rpc_callback(node, cb) (node->priv = cb)
| Set RPC callback to a schema node.

## Typedefs

typedef enum NC_DATASTORE_TYPE | NC_DATASTORE
| Enumeration of the supported types of datastores defined by NETCONF.
typedef enum NC_MSG_TYPE | NC_MSG_TYPE
| Enumeration of NETCONF message types.
typedef enum NC_PARAMTYPE | NC_PARAMTYPE
| Enumeration of function parameter treatments.
typedef enum NC_REPLY | NC_RPL
| Enumeration of NETCONF (both server and client) rpc-reply types.
typedef enum NC_SESSION_TERM_REASON | NC_SESSION_TERM_REASON
| Enumeration of reasons of the NETCONF session termination as defined in RFC 6470.
typedef enum NC_WITHDEFAULTS_MODE | NC_WD_MODE
| Enumeration of NETCONF with-defaults capability modes.

## Enumerations

enum | NC_DATASTORE_TYPE { NC_DATASTORE_ERROR = 0 , NC_DATASTORE_CONFIG , NC_DATASTORE_URL , NC_DATASTORE_RUNNING , NC_DATASTORE_STARTUP , NC_DATASTORE_CANDIDATE }
| Enumeration of the supported types of datastores defined by NETCONF. More...
enum | NC_MSG_TYPE { NC_MSG_ERROR , NC_MSG_WOULDBLOCK , NC_MSG_NONE , NC_MSG_HELLO , NC_MSG_BAD_HELLO , NC_MSG_RPC , NC_MSG_REPLY , NC_MSG_REPLY_ERR_MSGID , NC_MSG_NOTIF }
| Enumeration of NETCONF message types. More...
enum | NC_PARAMTYPE { NC_PARAMTYPE_CONST , NC_PARAMTYPE_FREE , NC_PARAMTYPE_DUP_AND_FREE }
| Enumeration of function parameter treatments. More...
enum | NC_REPLY { NC_RPL_OK , NC_RPL_DATA , NC_RPL_ERROR , NC_RPL_NOTIF }
| Enumeration of NETCONF (both server and client) rpc-reply types. More...
enum | NC_SESSION_TERM_REASON { NC_SESSION_TERM_ERR = -1 , NC_SESSION_TERM_NONE = 0 , NC_SESSION_TERM_CLOSED , NC_SESSION_TERM_KILLED , NC_SESSION_TERM_DROPPED , NC_SESSION_TERM_TIMEOUT , NC_SESSION_TERM_BADHELLO , NC_SESSION_TERM_OTHER }
| Enumeration of reasons of the NETCONF session termination as defined in RFC 6470. More...
enum | NC_WITHDEFAULTS_MODE { NC_WD_UNKNOWN = 0 , NC_WD_ALL , NC_WD_ALL_TAG , NC_WD_TRIM , NC_WD_EXPLICIT }
| Enumeration of NETCONF with-defaults capability modes. More...

## Variables

const char * | nc_msgtype2str []
| Messages of NETCONF message type enum.

## Detailed Description

libnetconf2's general public functions and structures definitions.

Author
  Radek Krejci rkrej.nosp@m.ci@c.nosp@m.esnet.nosp@m..cz

Copyright
  Copyright (c) 2015 - 2021 CESNET, z.s.p.o.

This source code is licensed under BSD 3-Clause License (the "License"). You may not use this file except in compliance with the License. You may obtain a copy of the License at

    https://opensource.org/licenses/BSD-3-Clause

Definition in file netconf.h.